;;
;; Pre-indexed indirect addressing test.
;; When FOOBAR is 0, the accumulator should contain 3 on exit.
;;                2                                 2
;;                4                                 1
;;
;; Run with:
;; util/test.sh -s 0x2000 tests/pre_indexed_indirect_01.asm


FOOBAR  .equ 0
STARTUP .equ $2000


* = $0030
        .word $1000    ; 0030 + 0
        .word $1001    ; 0030 + 2
        .word $1002    ; 0030 + 4

* = $1000
        .byte $03, $02, $01

* = STARTUP

        ldx #FOOBAR
        lda ($30,x)
        rts

