#!/bin/sh

PROG=$(basename $0)

if [ -n "$1" ]
then
  echo
  echo "Usage: $PROG < INPUT.bin > OUTPUT.hex"
  echo
  echo "  Convert a binary ROM to a 16-column ASCII hex file"
  echo
  exit
fi

xxd -c 16 -g 1 | sed 's/^.\+: //;s/  .\+$//'

